Bug 8954 - lpd (lpr-0.50-1) does not handle zero-length control files gracefully
lpd (lpr-0.50-1) does not handle zero-length control files gracefully
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: lpr (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-28 19:10 EST by John Hardin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-15 09:12:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Hardin 2000-01-28 19:10:06 EST
If a print job with a zero-length control file is somehow created, lpd
attempts to print the job and dies.

lpd should either ignore or clean up the print job without dying.
Comment 1 Bill Nottingham 2000-01-31 00:12:59 EST
lpr-0.50-1 dies in general if looked at funny. Does it persist
in 0.50-2 as well?
Comment 2 John Hardin 2000-01-31 15:27:59 EST
Yes, the problem persists in lpr-0.50-2

lpq does not report any job information and pauses for a long time. It should
report "Empty control file" or some such, and the job number, so that it can be
lprm'd

lpd deletes the control file (but not the data file) and dies.
Comment 3 Bernhard Rosenkraenzer 2000-02-15 09:12:59 EST
Try 0.50-4

Note You need to log in before you can comment on or make changes to this bug.